from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.linguistic2 import XDictionaryList

@runtime_checkable
class XSearchableDictionaryList(XDictionaryList, Protocol):
    def queryDictionaryEntry(self, aWord: str, aLocale: Locale, bSearchPosDics: bool, bSpellEntry: bool) -> XDictionaryEntry: ...
